API reference
Create storefront product review
Submits a review for a product. It is not published immediately: the merchant moderates it first.
POST
/v1/products/{productId}/reviewsSubmits a review for a product. It is not published immediately: the merchant moderates it first.
Path Parameters
productId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/products/string/reviews" \ -H "Content-Type: application/json" \ -d '{ "rating": 0, "content": "string", "title": null, "reviewerName": "string", "reviewerEmail": "string", "orderId": null }'{ "id": "string", "productId": "string", "isVerifiedPurchase": true, "rating": 0, "title": null, "content": "string", "reviewerName": null, "createdOn": "2019-08-24T14:15:22Z"}